[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Pan-users] Re: Is GTK 3 supported?

From: Jeff Berman
Subject: Re: [Pan-users] Re: Is GTK 3 supported?
Date: Thu, 24 Mar 2011 10:12:54 -0700 (PDT)

----- Original Message ----

> From: Duncan <address@hidden>
> To: address@hidden
> Sent: Wed, March 23, 2011 10:17:24 PM
> Subject: [Pan-users] Re: Is GTK 3 supported?
> Normally, major version number changes indicate API changes, so pan 
> wouldn't be expected to work (yet, it'll probably ultimately be updated to 
> do so) with gtk-3, no.

> Meanwhile, the normal "modern"  installation and version detection method 
> uses pkgconfig, with the package  config data stored in *.pc files.

Duncan, thank you... that helped a lot.  I ended up installing GTK-2 and got 
to compile.  I didn't know about pkgconfig, it seems that is a "registry" of 
sorts that tracks what is installed and where.  Very interesting!  I only have 
enough knowledge to get into trouble, really.  This is on OS X, incidentally, 
that's why I have limited exposure to all of this.

At any rate, it is now working and it was a great opportunity to update all the 
dependencies and get some compiling and troubleshooting practice.  :-)



reply via email to

[Prev in Thread] Current Thread [Next in Thread]